summaryrefslogtreecommitdiffstats
path: root/main/snmptt/snmptt.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/snmptt/snmptt.initd')
-rw-r--r--main/snmptt/snmptt.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/main/snmptt/snmptt.initd b/main/snmptt/snmptt.initd
new file mode 100644
index 000000000..1048ebeb3
--- /dev/null
+++ b/main/snmptt/snmptt.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+
+DAEMON=/usr/bin/${SVCNAME}
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --quiet \
+ --pidfile /var/run/${SVCNAME}.pid \
+ --exec ${DAEMON} -- ${OPTS} --daemon
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet \
+ --exec ${DAEMON} \
+ --pidfile /var/run/${SVCNAME}.pid \
+ eend $?
+}
+